Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class QuickTimePCMAudioCodec

    java.lang.Object
      org.monte.media.AbstractCodec
          org.monte.media.AbstractAudioCodec
              org.monte.media.audio.PCMAudioCodec
                  org.monte.media.quicktime.QuickTimePCMAudioCodec

All Implemented Interfaces:
  Codec

    public class QuickTimePCMAudioCodec

extends PCMAudioCodec

`PCMAudioCodec` performs sign conversion, endian conversion and quantization conversion of PCM audio data.

Does not perform sampling rate conversion or channel conversion.

Version:
  $Id: QuickTimePCMAudioCodec.java 155 2012-01-13 23:09:45Z werner $
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class org.monte.media.AbstractCodec
`inputFormat, inputFormats, name, outputFormat, outputFormats`

Fields inherited from interface org.monte.media.Codec
`CODEC_FAILED, CODEC_INPUT_NOT_CONSUMED, CODEC_OK, CODEC_OUTPUT_NOT_FILLED`

Constructor Summary
`QuickTimePCMAudioCodec()`

Method Summary

Methods inherited from class org.monte.media.audio.PCMAudioCodec
`process, write16STo16U, write16STo8U, write16To16, write16UTo16S, write8STo8U, write8To8, write8UTo8S`

Methods inherited from class org.monte.media.AbstractCodec
`getInputFormat, getInputFormats, getName, getOutputFormat, getOutputFormats, reset, setInputFormat, setOutputFormat, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuickTimePCMAudioCodec

    public QuickTimePCMAudioCodec()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD